Describes functions to build polygonal wires. A polygonal wire can be built from any number of points or vertices, and consists of a sequence of connected rectilinear edges. When a point or vertex is added to the polygon if it is identic to the previous point no edge is built. The method added can be used to test it. Construction of a Polygonal Wire You can construct:
More...
|
| BRepBuilderAPI_MakePolygon () |
| Initializes an empty polygonal wire, to which points or vertices are added using the Add function. As soon as the polygonal wire under construction contains vertices, it can be consulted using the Wire function. More...
|
|
| BRepBuilderAPI_MakePolygon (const gp_Pnt &P1, const gp_Pnt &P2) |
|
| BRepBuilderAPI_MakePolygon (const gp_Pnt &P1, const gp_Pnt &P2, const gp_Pnt &P3, const Standard_Boolean Close=Standard_False) |
|
| BRepBuilderAPI_MakePolygon (const gp_Pnt &P1, const gp_Pnt &P2, const gp_Pnt &P3, const gp_Pnt &P4, const Standard_Boolean Close=Standard_False) |
| Constructs a polygonal wire from 2, 3 or 4 points. Vertices are automatically created on the given points. The polygonal wire is closed if Close is true; otherwise it is open. Further vertices can be added using the Add function. The polygonal wire under construction can be consulted at any time by using the Wire function. Example //an open polygon from four points TopoDS_Wire W = BRepBuilderAPI_MakePolygon(P1,P2,P3,P4); Warning: The process is equivalent to: More...
|
|
| BRepBuilderAPI_MakePolygon (const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) |
|
| BRepBuilderAPI_MakePolygon (const TopoDS_Vertex &V1, const TopoDS_Vertex &V2, const TopoDS_Vertex &V3, const Standard_Boolean Close=Standard_False) |
|
| BRepBuilderAPI_MakePolygon (const TopoDS_Vertex &V1, const TopoDS_Vertex &V2, const TopoDS_Vertex &V3, const TopoDS_Vertex &V4, const Standard_Boolean Close=Standard_False) |
| Constructs a polygonal wire from 2, 3 or 4 vertices. The polygonal wire is closed if Close is true; otherwise it is open (default value). Further vertices can be added using the Add function. The polygonal wire under construction can be consulted at any time by using the Wire function. Example //a closed triangle from three vertices TopoDS_Wire W = BRepBuilderAPI_MakePolygon(V1,V2,V3,Standard_True); Warning The process is equivalent to: More...
|
|
void | Add (const gp_Pnt &P) |
|
void | Add (const TopoDS_Vertex &V) |
| Adds the point P or the vertex V at the end of the polygonal wire under construction. A vertex is automatically created on the point P. Warning. More...
|
|
Standard_Boolean | Added () const |
| Returns true if the last vertex added to the constructed polygonal wire is not coincident with the previous one. More...
|
|
void | Close () |
| Closes the polygonal wire under construction. Note - this is equivalent to adding the first vertex to the polygonal wire under construction. More...
|
|
const TopoDS_Vertex & | FirstVertex () const |
|
const TopoDS_Vertex & | LastVertex () const |
| Returns the first or the last vertex of the polygonal wire under construction. If the constructed polygonal wire is closed, the first and the last vertices are identical. More...
|
|
virtual Standard_Boolean | IsDone () const override |
| Returns true if this algorithm contains a valid polygonal wire (i.e. if there is at least one edge). IsDone returns false if fewer than two vertices have been chained together by this construction algorithm. More...
|
|
const TopoDS_Edge & | Edge () const |
| Returns the edge built between the last two points or vertices added to the constructed polygonal wire under construction. Warning If there is only one vertex in the polygonal wire, the result is a null edge. More...
|
|
| operator TopoDS_Edge () const |
|
const TopoDS_Wire & | Wire () |
| Returns the constructed polygonal wire, or the already built part of the polygonal wire under construction. Exceptions StdFail_NotDone if the wire is not built, i.e. if fewer than two vertices have been chained together by this construction algorithm. More...
|
|
| operator TopoDS_Wire () |
|
virtual void | Build () |
| This is called by Shape(). It does nothing but may be redefined. More...
|
|
virtual const TopoDS_Shape & | Shape () |
| Returns a shape built by the shape construction algorithm. Raises exception StdFail_NotDone if the shape was not built. More...
|
|
| operator TopoDS_Shape () |
|
virtual const TopTools_ListOfShape & | Generated (const TopoDS_Shape &S) |
| Returns the list of shapes generated from the shape <S>. More...
|
|
virtual const TopTools_ListOfShape & | Modified (const TopoDS_Shape &S) |
| Returns the list of shapes modified from the shape <S>. More...
|
|
virtual Standard_Boolean | IsDeleted (const TopoDS_Shape &S) |
| Returns true if the shape S has been deleted. More...
|
|
Public Member Functions inherited from BRepBuilderAPI_Command |
virtual | ~BRepBuilderAPI_Command () |
|
void | Check () const |
| Raises NotDone if done is false. More...
|
|
Describes functions to build polygonal wires. A polygonal wire can be built from any number of points or vertices, and consists of a sequence of connected rectilinear edges. When a point or vertex is added to the polygon if it is identic to the previous point no edge is built. The method added can be used to test it. Construction of a Polygonal Wire You can construct:
- a complete polygonal wire by defining all its points or vertices (limited to four), or
- an empty polygonal wire and add its points or vertices in sequence (unlimited number). A MakePolygon object provides a framework for:
- initializing the construction of a polygonal wire,
- adding points or vertices to the polygonal wire under construction, and
- consulting the result.